Bug 50526 - Clarify that JavaMail Session JNDI resource factory can accept any configuration attribute from JavaMail
Clarify that JavaMail Session JNDI resource factory can accept any configurat...
Status: CLOSED FIXED
Product: Tomcat 7
Classification: Unclassified
Component: Documentation
unspecified
PC All
: P2 enhancement (vote)
: ---
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2010-12-28 22:42 UTC by Christopher Schultz
Modified: 2011-01-25 12:03 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christopher Schultz 2010-12-28 22:42:38 UTC
From the examples currently shown in jndi-resources-howto.html, one might assume that adding "foo.bar.baz" will be added to the java.util.Properties object passed-into the Session.getInstance method, but it is not entirely clear.

It would be nice to explicitly state that arbitrary <Resource> attributes will be converted into Session configuration properties.

Also, there are certain properties that are outside of the JavaMail spec, such as "password".
Comment 1 Mark Thomas 2011-01-20 14:05:38 UTC
Fixed in 7.0.x and will be included in 7.07. onwards.